Bug 64457 - SVG: Rotated text is converted to shapes/paths
Summary: SVG: Rotated text is converted to shapes/paths
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.3.0.0a0+:Win8
Keywords:
: 50013 (view as bug list)
Depends on: 62284
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2013-05-11 11:18 UTC by ilikebigbugs
Modified: 2019-12-03 14:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
image of the behaviour (54.30 KB, image/png)
2013-05-11 11:18 UTC, ilikebigbugs
Details
svg file from Bug 62284 (48.16 KB, image/svg+xml)
2013-05-11 11:22 UTC, ilikebigbugs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ilikebigbugs 2013-05-11 11:18:56 UTC
Created attachment 79140 [details]
image of the behaviour

esipt_text_2.svg
text1_2.png
XP, LO Version 4.0.4.0+
Insert->Picture->From File
rotated text is converted into path (every letter becomes a single shape/path)

svg file from Bug 62284 was used

some comments/testing on SVG import can be found here:
http://en.libreofficeforum.org/node/293
Comment 1 ilikebigbugs 2013-05-11 11:22:23 UTC
Created attachment 79141 [details]
svg file from Bug 62284
Comment 2 Jorendc 2013-05-22 17:39:47 UTC
I can not reproduce this behavior using Linux Mint 15 x64 with LibreOffice 4.0.3.3 and Version: 4.2.0.0.alpha0+ Build ID: 66c315bcf2b78c4928d1e436d1a853f58f4cccd 

When import the image, it's imported as 1 image. Clicking on the letters result only in selecting the whole image (not all independent shapes).

Kind regards,
Joren
Comment 3 datbug 2013-06-01 22:45:25 UTC
by "converted into path" I don't mean the text ist converted into paths one can select. I think atm you can't select anything in an imported svg file. What I meant ist that the text is not shown properly. When you have just a line of text which is not rotated, the text is shown properly (I think it is converted to real text in LO) but when the text is rotated it looks like the text is not converted into text but seperated shapes (as you can see the ugly looking letters/shapes in the attachement 79140).
Comment 4 datbug 2013-06-02 19:13:02 UTC
actually,after inserting the svg you can right click on the image and
choose "Break". After breaking you can see that normal text is converted to a text box but rotated text is converted into seperate shapes.
Comment 5 ign_christian 2013-06-20 03:25:12 UTC
I can confirm same behavior on LO 4.0.4.2 (Win7 32bit)
Comment 6 retired 2014-03-30 09:43:04 UTC
Still happening Confirmed:4.3.0.0a0+:Win8

Version: 4.3.0.0.alpha0+
Build ID: 99159a618fd1ea90a2bc8a72621c88a4cf26e6f5
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-01-17_06:46:31
Comment 7 Xisco Faulí 2015-09-09 15:18:39 UTC
This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 8 Heiko Tietze 2016-05-17 13:41:41 UTC
*** Bug 50013 has been marked as a duplicate of this bug. ***
Comment 9 QA Administrators 2017-05-22 13:40:01 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-03 14:10:04 UTC
Dear ilikebigbugs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug